Get report credentials
Lists the leaked credentials in a report, page by page.
GET/v1/leaks/{reportId}/credentialsGETGet report credentialscurl -X GET "https://api.darkradar.com/api/public/v1/leaks/507f1f77bcf86cd799439011/credentials" \ -H "x-api-key: $DARKRADAR_API_KEY"
Response
{
"success": true,
"message": "OK",
"data": {
"credentials": [],
"pagination": {
"page": 1,
"limit": 2,
"total": 0,
"totalPages": 0
}
}
}Path parameters
| Fields | Values |
|---|---|
reportId · string · required | Unique identifier of the leak report · Example: 507f1f77bcf86cd799439011 |
Query parameters
| Fields | Values |
|---|---|
page · integer · optional | Page number for pagination · Example: 1 |
limit · integer · optional | Number of results per page · Example: 50 |
cursor · string · optional | Opaque next-page cursor |
Responses
200Success400Invalid request (malformed id, missing or invalid field)401Key missing, invalid, expired or revoked403Insufficient scope, no API access in plan, or product not enabled404Record not found or not owned by this key’s firm408The request exceeded its maximum response time429Rate limit exceeded; retry after a minuteResponse limits
Page sizelimit · default 50 · max 100
Rate limit500 requests per 15 min · per IP